Subject: [v6ops] TSVDIR Review for draft-ietf-v6ops-incremental-cgn-02

From: Yoshifumi Nishida <[email-masked]>
Date: Wed, 15 Dec 2010 09:01:01 -0800

Hello,

I've reviewed this document as part of the transport area
directorate's ongoing effort to review key IETF documents. These
comments were written primarily for the transport area directors, but
are copied to the document's authors for their information and to
allow them to address any issues raised. The authors should consider
this review together with any other last-call comments they
receive. Please always CC [email-masked] if you reply to or forward
this review.

Summary:

This draft proposes an incremental transition approach for IPv6 deployment
that combines CGN and other existing technologies such as v6-v4 tunneling,
dual stack home gateways.

Transport Issues:

This is an operational proposal to utilize existing proposal or methods
and no new protocols or technologies are proposed in the draft.
Hence, there is basically no transport related issue in the draft itself.

There may be a risk that combining multiple address-translation and tunneling
technologies cause new transport issue.
However, since the technologies used in the draft are deterministically selected
based on the source and destination addresses, I don't see any
conflicting case to
trigger such a risk.

Other minor comments::

1) Do you have any experimental results or feasibility studies for
this proposal?
   If so, please refer the information. It will be useful for readers.

2) What is normal IPv4 packet in section 2.4? I guess it means non-encapsulated
   packet, but using more specific words would be preferable.

3) In section 2.7, there are two "For IPv6 traffic, a user ..." lines.
   This seems to be an editorial mistake.

4) It would be preferable that you can elaborate why the transition from NAT444
   CGN or 6rd to the incremental CGN is easy in Section 3.

5) It is not clear to me when an ISP can decide to switch from incremental CGN.
   Does it require to update all network configurations and equipments
in the ISP?
   Or is it possible to do it gradually?

Regards,
--
Yoshifumi Nishida
[email-masked]